psm2 build broken attempting to build security/psm

VERIFIED FIXED in mozilla0.9

Status

P2
normal
VERIFIED FIXED
18 years ago
14 years ago

People

(Reporter: leaf, Assigned: leaf)

Tracking

Trunk
mozilla0.9
x86
Windows 98

Firefox Tracking Flags

(Not tracked)

Details

(Assignee)

Description

18 years ago
The following diff removes the faulty attempt to run make in mozilla/security 
(where the Makefile tells the build to descend into security/psm 
unconditionally... and since we shouldn't be building in security/psm anymore, 
we shouldn't do that).

Can i get a witness?

Index: modules.mk
===================================================================
RCS file: /cvsroot/mozilla/build/unix/modules.mk,v
retrieving revision 1.25
diff -u -r1.25 modules.mk
--- modules.mk  2001/04/13 23:54:47     1.25
+++ modules.mk  2001/04/16 16:21:00
@@ -98,7 +98,7 @@
 #
 # psm2
 #
-BM_DIRS_psm2   = $(BM_DIRS_dbm) $(BM_DIRS_js) $(BM_DIRS_xpcom) security 
security/manager
+BM_DIRS_psm2   = $(BM_DIRS_dbm) $(BM_DIRS_js) $(BM_DIRS_xpcom) security/manager
 BM_DEP_DIRS_psm2= \
        $(BM_DEP_DIRS_xpcom) \
        netwerk/base/public netwerk/protocol/http/public netwerk/build \

Comment 1

18 years ago
r=javi

Comment 2

18 years ago
This would be an alternative fix that would probably work as well.


Index: Makefile.in
===================================================================
RCS file: /cvsroot/mozilla/security/Makefile.in,v
retrieving revision 1.3
diff -u -r1.3 Makefile.in
--- Makefile.in 2001/04/12 18:54:02     1.3
+++ Makefile.in 2001/04/16 18:35:24
@@ -26,6 +26,6 @@
 
 include $(DEPTH)/config/autoconf.mk
 
-DIRS           = psm
+DIRS           = manager
 
 include $(topsrcdir)/config/rules.mk
(Assignee)

Comment 3

18 years ago
yes, i'd have to agree with you. But in this case, building the old psm would be 
broken, so we might as well get rid of all the BUILD_MODULE=psm descriptions to 
hammer the nail into the coffin (and then cvs remove the contents of 
security/psm).

I'll toss a patch together, but this will look like s/psm//, then s/psm2/psm/
Status: NEW → ASSIGNED
(Assignee)

Comment 4

18 years ago
r=leaf on the last patch, should probably check it in whenever you can.

Comment 5

18 years ago
patch to security/Makefile.in checked in.

Updated

18 years ago
Priority: -- → P2
Target Milestone: --- → mozilla0.9

Comment 6

18 years ago
Marking fixed.
Status: ASSIGNED → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → FIXED

Comment 7

18 years ago
verified.
Status: RESOLVED → VERIFIED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.